javax.faces.flow.builder

## Class SwitchCaseBuilder

- java.lang.Object
- - javax.faces.flow.builder.SwitchCaseBuilder

-     public abstract class SwitchCaseBuilder
      extends Object

  Create a case in the current switch.

  Since:
    2.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SwitchCaseBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract SwitchCaseBuilder` | `condition(String expression)` Set the if in the previously created switch case.
    `abstract SwitchCaseBuilder` | `condition(ValueExpression expression)` Set the if in the previously created switch case.
    `abstract SwitchCaseBuilder` | `fromOutcome(String outcome)` Set the outcome in the previously created switch case.
    `abstract SwitchCaseBuilder` | `switchCase()` Create a new case in the current switch.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SwitchCaseBuilder

          public SwitchCaseBuilder()

  - ### Method Detail

    - #### switchCase

          public abstract SwitchCaseBuilder switchCase()

      Create a new case in the current switch.

      Since:
        2.2

    - #### condition

          public abstract SwitchCaseBuilder condition(ValueExpression expression)

      Set the if in the previously created switch case.

      Parameters:
        `expression` - the `ValueExpression` to be evaluated to see if this case is chosen.
      Throws:
        `NullPointerException` - if any of the parameters are `null`
      Since:
        2.2

    - #### condition

          public abstract SwitchCaseBuilder condition(String expression)

      Set the if in the previously created switch case.

      Parameters:
        `expression` - the `ValueExpression` String to be evaluated to see if this case is chosen.
      Throws:
        `NullPointerException` - if any of the parameters are `null`
      Since:
        2.2

    - #### fromOutcome

          public abstract SwitchCaseBuilder fromOutcome(String outcome)

      Set the outcome in the previously created switch case.

      Parameters:
        `outcome` - the outcome to be returned if the condition evaluates to `true`.
      Throws:
        `NullPointerException` - if any of the parameters are `null`
      Since:
        2.2

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.